AOZ Studio Beta - Bug #55

Amreg() command doesnt compile
01/21/2020 08:45 PM - Anonymous
Description

Any command with Amreg(n) produces this error:-

error: message not found typeerror: cannot read property 'indexof' of undefined:(, , , )

eg -

If Amreg(13)<0 xor Amreg(14)<0

If A>95 and A<100 and Amreg(4+P)=0
If Amreg(7-P)>0 and Y Bob(P)<140

etfc..

Related issues:
Related to AOZ Studio Beta - Bug #1: if Amreg(13) <0

Closed

01/17/2020

History

#1 - 01/21/2020 08:52 PM - Jason Wroe

Jason Wroe

#2 - 01/23/2020 10:22 AM - Jason Wroe

This still seems to be happening in v9.3.1?

#3 - 01/23/2020 01:17 PM - Baptiste Pillot
- Related to Bug #1: if Amreg(13) < 0 added

#4 - 01/23/2020 07:11 PM - Baptiste Pillot

e source : https://www.amos?2.fr/ide/Amos2/Ide/Program/431

e compilation result (0.9.3.1) :

main.aoz:2:12: error: message not found typeerror:

main.aoz:2:24: error: syntax error

cannot read property

main.aoz:1:1: Compiler error: crash during compilation: pass: 1

typeerror: cannot read property 'charat'

Internal error

Error during compilation
of undefined

PATH->Z:/home/amos2/compiler/0.9.3.1/languages

Removing directory: /home/amos2/ide/input/tickleman/55/html

Compiling /home/amos2/ide/input/tickleman/55,

First pass...

main.aoz:2:12: error: message not found typeerror:

main.aoz:2:24: error: syntax error

emulation: PC, speed:

cannot read property

main.aoz:1:1: Compiler error: crash during compilation: pass: 1
of undefined: (,
https://www.amos2.fr/ide/Amos2/Ide/Program/431

cannot read property 'charat' of undefined

typeerror: cannot read property 'charat' of undefined

at firstpass (c:\snapshot\compiler\compiler.js)

at object.compile (c:\snapshot\compiler\compiler.js)

at compile (c:\snapshot\compiler\aoz.js)

at aoz (c:\snapshot\compiler\aoz.js)

at object. (c:\snapshot\compiler\aoz.js)

at module._compile (pkg/prelude/bootstrap.js:1261:22)

at object.module._extensions..js (internal/modules/cjs/loader.js:993:10)
at module.load (internal/modules/cjs/loader.js:813:32)

at function.module._load (internal/modules/cjs/loader.js:725:14)
at function.module.runmain (pkg/prelude/bootstrap.js:1316:12)
Internal error

Task failed, no code generated...

#5 - 01/24/2020 08:00 AM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.3.2

Fixed!

#6 - 02/01/2020 08:18 AM - Baptiste Pillot

- Status changed from Resolved to Closed

| do not know what my test program is supposed to display... it displays nothing, but : it compiles, and runs without error.

So, it's ok with me.
